org.firebirdsql.jaybird.props

## Class InvalidPropertyValueException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalArgumentException
        - - org.firebirdsql.jaybird.props.InvalidPropertyValueException

- All Implemented Interfaces:
    java.io.Serializable

      public class InvalidPropertyValueException
      extends java.lang.IllegalArgumentException

  Exception thrown when a connection property has an invalid value.

  This exception always has a `SQLException` as cause.

  Since:
    5
  Author:
    Mark Rotteveel
  See Also:
    Serialized Form

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.sql.SQLException` | `asSQLException()`
    `static InvalidPropertyValueException` | `invalidProperty(java.lang.String name, java.lang.String value)`
    `static InvalidPropertyValueException` | `invalidProperty(java.lang.String name, java.lang.String value, java.lang.String additionalDetails)`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### asSQLException

          public java.sql.SQLException asSQLException()

    - #### invalidProperty

          public static InvalidPropertyValueException invalidProperty(java.lang.String name,
                                                                      java.lang.String value)

    - #### invalidProperty

          public static InvalidPropertyValueException invalidProperty(java.lang.String name,
                                                                      java.lang.String value,
                                                                      java.lang.String additionalDetails)

Copyright © 2001-2025 Jaybird (Firebird JDBC) team. All rights reserved.